Subject: bug#44950: 28.0.50; 24-bit colors not used in terminal with emacsclient

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Nov 2021 19:22:04 +0200

> From: Tim Ruffing <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 16 Nov 2021 17:42:32 +0100
> 
> > I'm not sure I understand: if supporting "Tc" does the job, what does
> > the added code gain us?
> 
> Well, there are just (too) many standards and without setrgbf/setrgbb,
> we don't support all of them. Even with support for Tc, there may be
> terminals which can do 24bit but don't have Tc in their terminfo but
> only setrgbf/setrgbb.
> 
> It's also possible (but very unlikely?) that they support only non-
> "standard" escape sequences and thus can have setrgbf/setrgbb with non-
> default sequences in terminfo but not Tc because the latter implies the
> "standard" escape sequence. 

All of them are non-standard, and AFACT every terminal that supports
setrgbf/setrgbb also supports Tc.  So I think we should be good
supporting only some of the non-standard stuff there, at least for
now.  If and when some of these become standard terminfo capabilities,
we should support those standards ones first and foremost, of course.

> As I said, I believe the current code does the job. But still, I
> wouldn't be surprised if next year some user proves me wrong and
> complains here that 24bit doesn't work with their specific rare
> terminal/terminfo while it works in other programs (which support
> setrgbf/setrgbb).

Well, I think we should cross that bridge when we get to it.  And
maybe also clean up this area a bit when we do.

Thanks.